---
title: IFT-7022 - Traitement automatique de la langue naturelle
author: François Pelletier (908 144 032)
date: 4 novembre 2019
geometry: "left=3cm,right=3cm,top=2cm,bottom=2cm"
output: pdf_document
---

# Travail pratique 2

## Classification de textes - analyse de sentiments

### Introduction

L'objectif de cet exercice est de construire des modèles qui permettent de classifier des commentaires variés selon leur polarité. Nous disposons d'un jeu d'entraînement balancé composé de 3000 commentaires positifs et 3000 négatifs. Le jeu de test est aussi balancé et est composé de 986 commentaires positifs et 982 négatifs. Tous les commentaires sont en anglais.

### Prétraitement

Nous effectuons quatre étapes de prétraitement:

- Tokenisation
- Normalisation
- Sélection des types
- Vectorisation

Pour chacune de ces étapes, certaines techniques seront expérimentées. Celles-ci produisent, aprèsla dernière étape, une matrice creuse de caractéristiques qui servira à entraîner les différents modèles. Nous ajoutons trois caractéristiques additionnelles à cette matrice, soit les nombres de mots positifs et négatifs, et le nombre total de mot du document.

#### Tokenisation

#### Normalisation

#### Sélection des types

#### Vectorisation

### Entraînement des modèles

Deux types de modèles sont entrainés:

- Naive Bayes
- Régression logistique

#### Naive Bayes

#### Régression logistique

### Analyse de la performance

Pour chacun des modèles entraînés, différentes métriques de performance sont calculées à l'aide du jeu de données de test.

![Métriques de performance: Naive Bayes](table_metriques_nb.pdf)

![Métriques de performance: Régression logistique](table_metriques_rl.pdf)

### Conclusion

## Analyse syntaxique - portée d'une négation

### Introduction

### Conclusion

## Références



